Subject: Re: bug#64846: Emacs 29 RC on Windows: White background color flashes on startup, before background color from config takes effect on Windows

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Jul 2023 14:20:44 +0300

> From: Yanchi Tóth <[email-masked]>
> Date: Wed, 26 Jul 2023 10:32:54 +0200
> Cc: [email-masked]
> 
> Hmmm. I tried adding the early init file with what you suggest, but the situation stays the same

The other possibility is to set the background and foreground colors
in the X resources.  On Windows, you can put these "X resources" in
the Registry, and Emacs will follow them.  See the node "X Resources"
in the Emacs user manual for the details.

> Note that if I make the frame larger at startup, the bright rectangle stays pretty much the same size,
> which hints at this being related to repainting dirty areas? Maybe when Windows sends the first
> WM_ERASEBKGND,
> the frame background color is not set yet, so Emacs repaints with white?

Maybe.  I don't know enough about the low-level details of the Emacs
display on Windows to tell.

> I don't think this is a release blocker, and I could investigate this later myself, if it would help.

It definitely won't block the release of Emacs 29.1.